Bug 848301 - building composes for releasever=17 fails on f16, invalid contexts
building composes for releasever=17 fails on f16, invalid contexts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 04:31 EDT by Ian Malone
Modified: 2013-02-13 04:01 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 04:01:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Malone 2012-08-15 04:31:18 EDT
Description of problem:
Trying to build a spin on F16 against F17, for example
livecd-creator --config=/usr/share/spin-kickstarts/fedora-livecd-lxde.ks --fslabel=Fedora17-LiveCD --cache=/var/cache/live --releasever=17 2>&1|tee fedora17-livecd-lxde-out.txt

vs
livecd-creator --config=/usr/share/spin-kickstarts/fedora-livecd-lxde.ks --fslabel=Fedora-LiveCD --cache=/var/cache/live 2>&1|tee fedora-livecd-lxde-out.txt

(also the fedora-jam spin, ssh://git.fedorahosted.org/git/music-creation
spin-kickstarts/fedora-jam/fedora-live-jam-kde.ks, with the
mono-bristol package removed and ).

I'm using the setenforce 0.

When attempting to run it the live CD fails at starting the desktop. The Fedora Jam spin (which presents user setup and then a KDM login) fails to start the KDE desktop or allow login at a virtual terminal. I get stopped selinux
denials on kdm.

During the build I get this (just after the man page building):
93 man subdirectories contained newer manual pages.
3620 manual pages were added.
0 stray cats were added.
0 old database entries were purged.
/etc/selinux/targeted/contexts/files/file_contexts: line 135 has invalid context system_u:object_r:svnserve_initrc_exec_t:s0
/etc/selinux/targeted/contexts/files/file_contexts: line 356 has invalid context system_u:object_r:tuned_etc_t:s0
/etc/selinux/targeted/contexts/files/file_contexts: line 361 has invalid context system_u:object_r:passwd_file_t:s0
/etc/selinux/targeted/contexts/files/file_contexts: line 441 has invalid context system_u:object_r:passwd_file_t:s0
/etc/selinux/targeted/contexts/files/file_contexts: line 454 has invalid context system_u:object_r:dbus_home_t:s0
/etc/selinux/targeted/contexts/files/file_contexts: line 471 has invalid context system_u:object_r:zoneminder_var_lib_t:s0
/etc/selinux/targeted/contexts/files/file_contexts: line 547 has invalid context system_u:object_r:bitlbee_log_t:s0
/etc/selinux/targeted/contexts/files/file_contexts: line 553 has invalid context system_u:object_r:couchdb_etc_t:s0
/etc/selinux/targeted/contexts/files/file_contexts: line 579 has invalid context system_u:object_r:pacemaker_var_run_t:s0
Exiting after 10 errors.

At the point where building the LXDE spin for F16 does this:
**********************************************************************************
(looks like the SELinux relabel)

For the Fedora Jam spin (a kde based CD) /var/log/messages on the overlay contains these:
SELinux is preventing /usr/bin/kdm from entrypoint access on the file
/etc/kde/kdm/Xsession.

If I put .autorelabel in the root of the overlay (on a live USB) then
the spin works okay after a relabel and reboot. It looks like the relabel during the livecd-creator process is dealing with (or failing to) incompatibilities between SELinux in the two releases.


Version-Release number of selected component (if applicable):
livecd-tools-16.15-1.fc16.x86_64
selinux-policy-3.10.0-90.fc16.noarch

How reproducible:
100%

Additional info:
F16 compose of LXDE is okay.
Comment 1 Fedora End Of Life 2013-01-16 05:22:22 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 04:01:08 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.